Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.api.security
Class UnauthorisedException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.mule.api.MuleException
                  org.mule.api.MessagingException
                      org.mule.api.security.SecurityException
                          org.mule.api.security.UnauthorisedException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  CredentialsNotSetException

    public class UnauthorisedException

extends SecurityException

`UnauthorisedException` is thrown if authentication fails

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.mule.api.MessagingException
`event, muleMessage`

Constructor Summary
`UnauthorisedException(Message message)`
`UnauthorisedException(Message message, MuleEvent event)`
`UnauthorisedException(Message message, MuleEvent event, Throwable cause)`
`UnauthorisedException(Message message, MuleMessage muleMessage)` Deprecated. use UnauthorisedException(Message, MuleEvent)
`UnauthorisedException(Message message, MuleMessage muleMessage, Throwable cause)` Deprecated. use
`UnauthorisedException(Message message, Throwable cause)`
`UnauthorisedException(MuleEvent event, SecurityContext context, ImmutableEndpoint endpoint, EndpointSecurityFilter filter)`
`UnauthorisedException(MuleMessage message, SecurityContext context, ImmutableEndpoint endpoint, EndpointSecurityFilter filter)` Deprecated. use UnauthorisedException(MuleEvent, SecurityContext, ImmutableEndpoint, EndpointSecurityFilter)

Method Summary

Methods inherited from class org.mule.api.MessagingException
`getEvent, getMuleMessage`

Methods inherited from class org.mule.api.MuleException
`addInfo, appendMessage, equals, getDetailedMessage, getExceptionCode, getI18nMessage, getInfo, getMessage, getMessageCode, getSummaryMessage, getVerboseMessage, hashCode, initialise, prependMessage, setExceptionCode, setMessage, setMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UnauthorisedException

    public UnauthorisedException(Message message)

### UnauthorisedException

    public UnauthorisedException(Message message,
                                 Throwable cause)

### UnauthorisedException

    @Deprecated
    public UnauthorisedException(Message message,
                                            MuleMessage muleMessage)

  Deprecated. use UnauthorisedException(Message, MuleEvent)

### UnauthorisedException

    public UnauthorisedException(Message message,
                                 MuleEvent event)

### UnauthorisedException

    @Deprecated
    public UnauthorisedException(Message message,
                                            MuleMessage muleMessage,
                                            Throwable cause)

  Deprecated. use

### UnauthorisedException

    public UnauthorisedException(Message message,
                                 MuleEvent event,
                                 Throwable cause)

### UnauthorisedException

    @Deprecated
    public UnauthorisedException(MuleMessage message,
                                            SecurityContext context,
                                            ImmutableEndpoint endpoint,
                                            EndpointSecurityFilter filter)

  Deprecated. use UnauthorisedException(MuleEvent, SecurityContext, ImmutableEndpoint, EndpointSecurityFilter)

### UnauthorisedException

    public UnauthorisedException(MuleEvent event,
                                 SecurityContext context,
                                 ImmutableEndpoint endpoint,
                                 EndpointSecurityFilter filter)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.